Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class Booter

    java.lang.Object
      madkit.kernel.AbstractMadkitBooter
          SEdit.Booter

All Implemented Interfaces:
  GraphicShell

    public class Booter

extends AbstractMadkitBooter

The SEdit booter for MadKit. It starts the kernel, and then launch agents defined in a config file, with or without GUI. It is also possible to launch agents from SEdit editors...

Version:
  1.0
Author:
  Jacques Ferber and Olivier Gutknecht

Field Summary

Fields inherited from class madkit.kernel.AbstractMadkitBooter
`ALL_FILES, allowForPluginAgentification, BEANSHELL_FILE, CONFIG_FILE, FORMALISM_FILE, graphics, guis, initFile, initialAgentClass, initialAgentName, ipaddress, ipnumeric, isGraphics, JESS_FILE, labeltable, nativelf, network, port, PYTHON_FILE, SCHEME_FILE, SEDIT_FILE, theKernel`

Constructor Summary
`protected` | `Booter(boolean isg, boolean ipnumeric, java.lang.String initFile, java.lang.String ipaddress, boolean network)`

Method Summary
`protected java.awt.event.WindowListener` | `createWindowHandler(Kernel k, AbstractAgent a)`
`void` | `inspectAgent(AbstractAgent elt)`
`static void` | `main(java.lang.String[] argv)` Booting from command line
`static void` | `setAgentNode(AbstractAgentNode a)`
`void` | `setupGUI(AbstractAgent a)` Implements the GraphicShell interface
`void` | `showPropertyEditor(boolean b)`

Methods inherited from class madkit.kernel.AbstractMadkitBooter
`bootProcess, disposeGUI, disposeGUIImmediatly, getAgentLabel, getAgentLabelFromClassName, getBooter, getDefaultGUIObject, getSplashScreen, init, launchAgent, launchAgent, loadConfigFile, loadFile, makeJavaAgent, makeScriptAgent, setBooter, setProgress, setSplashScreen, setupGUI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Booter

    protected Booter(boolean isg,
                     boolean ipnumeric,
                     java.lang.String initFile,
                     java.lang.String ipaddress,
                     boolean network)

Method Detail

### setAgentNode

    public static void setAgentNode(AbstractAgentNode a)

### createWindowHandler

    protected java.awt.event.WindowListener createWindowHandler(Kernel k,
                                                                AbstractAgent a)

  Overrides:
    `createWindowHandler` in class `AbstractMadkitBooter`

### inspectAgent

    public void inspectAgent(AbstractAgent elt)

### showPropertyEditor

    public void showPropertyEditor(boolean b)

### setupGUI

    public void setupGUI(AbstractAgent a)

  Implements the GraphicShell interface

  Specified by:
    `setupGUI` in interface `GraphicShell`
  Overrides:
    `setupGUI` in class `AbstractMadkitBooter`

### main

    public static void main(java.lang.String[] argv)

  Booting from command line

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.